﻿Imports OpenPop.Pop3
Imports OpenPop.Mime
Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Read_Emails(ByVal sender As Object, ByVal e As EventArgs)
        Dim pop3Client As Pop3Client
        If (Session("Pop3Client") Is Nothing) Then
            pop3Client = New Pop3Client
            pop3Client.Connect(txtMailServer.Text, Integer.Parse(txtPort.Text), chkSSL.Checked)
            pop3Client.Authenticate(txtUserName.Text, txtPassword.Text)
            Session("Pop3Client") = pop3Client
        Else
            pop3Client = CType(Session("Pop3Client"), Pop3Client)
        End If
        Dim count As Integer = pop3Client.GetMessageCount
        Dim dtMessages As DataTable = New DataTable
        dtMessages.Columns.Add("MessageNumber")
        dtMessages.Columns.Add("From")
        dtMessages.Columns.Add("Subject")
        dtMessages.Columns.Add("DateSent")
        Dim counter As Integer = 0
        Dim i As Integer = count
        Do While (i >= 1)
            Dim message As Message = pop3Client.GetMessage(i)
            dtMessages.Rows.Add()
            dtMessages.Rows((dtMessages.Rows.Count - 1))("MessageNumber") = i
            dtMessages.Rows((dtMessages.Rows.Count - 1))("From") = message.Headers.From.Address
            dtMessages.Rows((dtMessages.Rows.Count - 1))("Subject") = message.Headers.Subject
            dtMessages.Rows((dtMessages.Rows.Count - 1))("DateSent") = message.Headers.DateSent
            counter = counter + 1
            i = i - 1
            If counter = 5 Then
                Exit Do
            End If
        Loop
        gvEmails.DataSource = dtMessages
        gvEmails.DataBind()
    End Sub


End Class
